%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        9.5.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        Apache-2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Remove-non-US-ASCII-from-nova-compute-vmware.patch
Patch0002: 0002-libvirt-allow-any-binding-for-vncserver_listen.patch
Patch0003: 0003-Add-support-for-migration-over-SSH.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Tue May 02 2017 Mike Burns <mburns@redhat.com> 9.5.0-4
- Add support for migration over SSH (rhbz#1428241)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-2
- libvirt: allow any binding for vncserver_listen (lp#1660099)
- Remove non-US-ASCII from nova::compute::vmware

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422093)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Add cell_v2 simple_cell_setup
- Remove leftovers of gate fix reviews
- Set cpu_mode to "none" when virt_type is qemu
- Add the enable_new_services option to nova::conductor
- XenServer patch
- Added retries in db_sync for nova_api db (lp#1645474,lp#1628580,lp#1647305)
- Added retries for db_sync (lp#1645474, lp#1628580)
- Use stable/newton spec helper

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0

